<?php 

    class Edumodo_Cutomizer{
        private static $instance; 
        private static $theme_config_id = 'edumodo';

        public static function init(){
            if( null === self::$instance ){
                self::$instance = new self; 
            }
            return self::$instance;
        }
        public function __construct(){
            if ( class_exists( 'Kirki' ) ) {
                $this->edumodo_init_kirki();
                $this->edumodo_load_customizer_section();
            }
        }
        public function edumodo_init_kirki(){
            Kirki::add_config( self::$theme_config_id, array(
                'capability'    => 'edit_theme_options',
                'option_type'   => 'theme_mod',
            ) );
        }
        public function edumodo_load_customizer_section(){
            require_once dirname(__FILE__) . '/settings/seperator.php'; // 100
            require_once dirname(__FILE__) . '/settings/general.php'; // 110
            require_once dirname(__FILE__) . '/settings/typography.php'; // 111
            require_once dirname(__FILE__) . '/settings/header.php'; // 120
            require_once dirname(__FILE__) . '/settings/archive.php'; // 130
            require_once dirname(__FILE__) . '/settings/single.php'; // 140
            require_once dirname(__FILE__) . '/settings/page.php'; // 180
            require_once dirname(__FILE__) . '/settings/footer.php'; // 190
            if( defined('BP_PLATFORM_VERSION') ) {
                require_once dirname( __FILE__ ) . '/settings/buddyboss.php';
            }
        }
    }

?>